#include <bits/stdc++.h>
using namespace std;
int main() {
    ios :: sync_with_stdio(false);
    cin.tie(nullptr);
    int n, k;
    cin >> n >> k;
    int cnt0 = 0;
    for (int i = 0; i < n; i++) {
        int a;
        cin >> a;
        cnt0 += (a == 0);
    }
    cout << (int)(cnt0 <= n - k);
}
